//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// Z poniższym kodem nie jest związana żadna gwarancja poprawności działania.
// Program został dołączony do książki ".NET CLR. Księga eksperta" w celu
// ilustracji koncepcji i zasad przedstawionych w tej książce. Program może być 
// używany na własne ryzyko.
//
// Przyznaje się prawo do użycia lub kopiowania tego oprogramowania do dowolnego celu
// bez konieczności ponoszenia żadnych opłat pod warunkiem, że powyższe uwagi zostaną 
// zachowane we wszystkich kopiach. Przyznaje się także prawo do modyfikacji kodu
// i dystrybucji zmodyfikowanego kodu pod warunkiem zachowania powyższych uwag
// oraz dołączenia informacji mówiącej o modyfikacji kodu.
//
//
using System;

namespace FrameworkLibraries
{
	public class DateTimeMain 
	{
		static void Main(string [] args)
		{
			Console.WriteLine("Min: {0}", DateTime.MinValue);
			Console.WriteLine("Max: {0}", DateTime.MaxValue);
			DateTime date = DateTime.Now;
			Console.WriteLine("Long DateTime {0} {1}",
				              date.ToLongDateString(),
				              date.ToLongTimeString());
			Console.WriteLine("Data: {0}", date.Date);
			Console.WriteLine("Miesiąc: {0}", date.Month);
			Console.WriteLine("Dzień: {0}", date.Day);
			Console.WriteLine("Dzień tygodnia: {0}", date.DayOfWeek);
			Console.WriteLine("Dzień roku: {0}", date.DayOfYear);
			Console.WriteLine("TimeOfDay: {0}", date.TimeOfDay);
			Console.WriteLine("Godzina: {0}", date.Hour);
			Console.WriteLine("Minut: {0}", date.Minute);
			Console.WriteLine("Sekund: {0}", date.Second);
			Console.WriteLine("Milisekund: {0}", date.Millisecond);
			Console.WriteLine("Taktów: {0}", date.Ticks);
			Console.WriteLine("Za godzinę będzie: {0} {1}",
				              date.AddHours(1).ToLongDateString(),
				              date.AddHours(1).ToLongTimeString());
			Console.WriteLine("Godzinę temu było: {0} {1}",
				              date.AddHours(-1).ToLongDateString(),
				              date.AddHours(-1).ToLongTimeString());
			Console.WriteLine("Jutro będzie: {0} {1}",
				              date.AddDays(1).ToLongDateString(),
				              date.AddDays(1).ToLongTimeString());
			Console.WriteLine("Wczoraj był: {0} {1}",
				              date.AddDays(-1).ToLongDateString(),
				              date.AddDays(-1).ToLongTimeString());
			Console.WriteLine("Za tydzień będzie: {0} {1}",
				              date.AddDays(7).ToLongDateString(),
				              date.AddDays(7).ToLongTimeString());
			Console.WriteLine("Tydzień temu był: {0} {1}",
				              date.AddDays(-7).ToLongDateString(),
				              date.AddDays(-7).ToLongTimeString());
			Console.WriteLine("Za miesiąc będzie: {0} {1}",
				              date.AddMonths(1).ToLongDateString(),
				              date.AddMonths(1).ToLongTimeString());
			Console.WriteLine("Miesiąc temu był: {0} {1}",
				              date.AddMonths(-1).ToLongDateString(),
				              date.AddMonths(-1).ToLongTimeString());
		}
	}
}